<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>
<body>
    <div class="container col-7">
        <h3 class="text-center mb-3">
            Update user
        </h3>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-fname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-lname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Subject</label>
            <input id="inp-subject" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Country</label>
            <select name="" id="select-country" class="form-control col-sm-10">
                <option value="VN">Việt Nam</option>
                <option value="USA">USA</option>
                <option value="AUS">Australia</option>
                <option value="CAN">Canada</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">CustomerType</label>
            <select name="" id="select-customer" class="form-control col-sm-10">
                <option value="Standard">Standard</option>
                <option value="Gold">Gold</option>
                <option value="Premium">Premium</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Register</label>
            <select name="" id="select-register" class="form-control col-sm-10">
                <option value="New">New</option>
                <option value="Accepted">Accepted</option>
                <option value="Denied">Denied</option>
            </select>
        </div>
        <div class="row  form-group mt-5">
            <div class="col-sm-6">
                <button class="btn btn-success w-100">Update user</button>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-danger w-100">Hủy bỏ</button>
            </div>


        </div>
    </div>
    
</body>
<script>
    $(document).ready(function (){
        onPageLoadDing();
    })
    function onPageLoadDing(){
        var vUrlString = window.location.href ;
        var vUrl = new URL(vUrlString);
        // get parameters
        var vId = vUrl.searchParams.get("id");
        console.log(vId);
        callAPIGetDataUser(vId);
    }
    //
    function callAPIGetDataUser(paramData){
        $.ajax({
            url:"http://203.171.20.210:8080/crud-api/users/" + paramData ,
            type:'GET',
            dataType:'json',
            success: function (Data){
                console.log(Data);
                showDataUser(Data);
            },
            error: function (ajaxContext){
                alert(ajaxContext.responseText);
            }
        });
    }
    //
    function showDataUser(paramData){
        $("#inp-fname").val(paramData.firstname);
        $("#inp-lname").val(paramData.lastname);
        $("#select-country").val(paramData.country);
        $("#inp-subject").val(paramData.subject);
        $("#select-customer").val(paramData.customerType);
        $("#select-register").val(paramData.registerStatus);
    }
</script>
</html>